## python-keystonemiddleware 9.1.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

keystoneauth1>=3.12.0 # Apache-2.0
oslo.cache>=1.26.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
pbr!=2.1.0,>=2.0.0 # Apache-2.0
pycadf!=2.0.0,>=1.1.0 # Apache-2.0
python-keystoneclient>=3.20.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0
six>=1.10.0 # MIT
WebOb>=1.7.1 # MIT

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXSOURCE  = source
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) $(SPHINXSOURCE)

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/keystonemiddleware.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/keystonemiddleware.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# For generating sphinx documentation
doc8>=0.6.0 # Apache-2.0
openstackdocstheme>=2.2.1 # Apache-2.0
reno>=3.1.0 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD
sphinxcontrib-apidoc>=0.2.0  # BSD

# PDF Docs
sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD

# For autodoc builds
mock>=2.0.0 # BSD
oslotest>=3.2.0 # Apache-2.0
requests-mock>=1.2.0 # Apache-2.0
testresources>=2.0.0 # Apache-2.0/BSD
python-memcached>=1.56 # PSF
WebTest>=2.0.27 # MIT
oslo.messaging>=5.29.0 # Apache-2.0

=== debian/changelog ===
python-keystonemiddleware (9.1.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2020 10:38:33 +0200

python-keystonemiddleware (9.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Sep 2020 15:34:05 +0200

python-keystonemiddleware (9.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 13:39:32 +0200

python-keystonemiddleware (9.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Add python3-sphinxcontrib.svg2pdfconverter as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Apr 2020 19:05:27 +0200

=== debian/control ===
Source: python-keystonemiddleware
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 92~),
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 bandit,
 python3-bandit,
 python3-coverage,
 python3-cryptography,
 python3-docutils,
 python3-fixtures,
 python3-hacking,
 python3-keystoneauth1 (>= 3.12.0),
 python3-keystoneclient (>= 1:3.20.0),
 python3-memcache (>= 1.59),
 python3-mock,
 python3-openstackdocstheme,
 python3-oslo.cache,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslotest,
 python3-pycadf,
 python3-requests,
 python3-requests-mock,
 python3-six,
 python3-sphinxcontrib.apidoc,
 python3-sphinxcontrib.svg2pdfconverter,
 python3-stestr,
 python3-stevedore,
 python3-testresources,
 python3-testtools,
 python3-webob,
 python3-webtest,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-keystonemiddleware
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-keystonemiddleware.git
Homepage: https://launchpad.net/keystonemiddleware

Package: python-keystonemiddleware-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Middleware for OpenStack Identity (Keystone) - doc
 This package contains middleware modules designed to provide authentication
 and authorization features to web services other than Keystone. The most
 prominent module is keystonemiddleware.auth_token. This package does not
 expose any CLI or Python API features.
 .
 This package contains the documentation.

Package: python3-keystonemiddleware
Architecture: all
Depends:
 python3-keystoneauth1 (>= 3.12.0),
 python3-keystoneclient (>= 1:3.20.0),
 python3-oslo.cache,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-pbr,
 python3-pycadf,
 python3-requests,
 python3-six,
 python3-webob,
 ${misc:Depends},
 ${python3:Depends},
Description: Middleware for OpenStack Identity (Keystone) - Python 3.x
 This package contains middleware modules designed to provide authentication
 and authorization features to web services other than Keystone. The most
 prominent module is keystonemiddleware.auth_token. This package does not
 expose any CLI or Python API features.
 .
 This package contains the Python 3.x module.

## python-keystonemiddleware 9.2.0

=== debian/changelog ===
python-keystonemiddleware (9.2.0-0ubuntu1~cloud1) focal-wallaby; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/wallaby branch.

  [ Jorge Merlino ]
  * d/p/remove-cache-invalidation.patch: Remove cache invalidation when
    using expired token (LP: #1987355).

 -- Jorge Merlino <jorge.merlino@canonical.com>  Mon, 14 Aug 2023 18:09:51 -0300

python-keystonemiddleware (9.2.0-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 03 Dec 2020 14:43:42 +0000

python-keystonemiddleware (9.2.0-0ubuntu1) hirsute; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New upstream release for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 03 Dec 2020 13:06:24 +0000

python-keystonemiddleware (9.1.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 03 Sep 2020 07:49:11 +0000

python-keystonemiddleware (9.0.0-0ubuntu2) groovy; urgency=medium

  * d/rules: Move to pybuild.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Wed, 05 Aug 2020 11:42:15 +0000

## python-keystonemiddleware 9.3.0

=== debian/changelog ===
python-keystonemiddleware (9.3.0-0ubuntu1~cloud1) focal-xena; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/xena branch.

  [ Jorge Merlino ]
  * d/p/remove-cache-invalidation.patch: Remove cache invalidation when
    using expired token (LP: #1987355).

 -- Jorge Merlino <jorge.merlino@canonical.com>  Mon, 14 Aug 2023 18:09:51 -0300

python-keystonemiddleware (9.3.0-0ubuntu1~cloud0) focal-xena; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 07 Jun 2021 12:46:52 +0000

python-keystonemiddleware (9.3.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 07 Jun 2021 11:25:43 +0000

## python-keystonemiddleware 9.4.0

=== debian/changelog ===
python-keystonemiddleware (9.4.0-0ubuntu1.1) jammy; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/yoga branch.

  [ Jorge Merlino ]
  * d/p/remove-cache-invalidation.patch: Remove cache invalidation when
    using expired token (LP: #1987355).

 -- Jorge Merlino <jorge.merlino@canonical.com>  Mon, 14 Aug 2023 18:09:51 -0300

python-keystonemiddleware (9.4.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 02 Mar 2022 13:12:16 -0500

=== debian/control ===
Source: python-keystonemiddleware
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 git,
 python3-bandit (>= 1.1.0),
 python3-coverage (>= 4.0),
 python3-cryptography (>= 3.0),
 python3-doc8 (>= 0.6.0),
 python3-docutils,
 python3-fixtures (>= 3.0.0),
 python3-flake8-docstrings (>= 0.2.1.post1),
 python3-keystoneauth1 (>= 3.12.0),
 python3-keystoneclient (>= 1:3.20.0),
 python3-memcache (>= 1.59),
 python3-mock (>= 2.0.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-testr (>= 1.0.0),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-pycadf (>= 1.1.0),
 python3-reno (>= 2.11.2),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-testrepository (>= 0.0.18),
 python3-testresources (>= 2.0.0),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.7.1),
 python3-webtest (>= 2.0.27),
 subunit,
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-keystonemiddleware
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-keystonemiddleware
Homepage: https://launchpad.net/keystonemiddleware
Testsuite: autopkgtest-pkg-python

Package: python-keystonemiddleware-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Middleware for OpenStack Identity (Keystone) - doc
 This package contains middleware modules designed to provide authentication
 and authorization features to web services other than Keystone. The most
 prominent module is keystonemiddleware.auth_token. This package does not
 expose any CLI or Python API features.
 .
 This package contains the documentation.

Package: python3-keystonemiddleware
Architecture: all
Depends:
 python3-keystoneauth1 (>= 3.12.0),
 python3-keystoneclient (>= 1:3.20.0),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-pycadf (>= 1.1.0),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-webob (>= 1:1.7.1),
 ${misc:Depends},
 ${python3:Depends},
Description: Middleware for OpenStack Identity (Keystone) - Python 3.x
 This package contains middleware modules designed to provide authentication
 and authorization features to web services other than Keystone. The most
 prominent module is keystonemiddleware.auth_token. This package does not
 expose any CLI or Python API features.
 .
 This package contains the Python 3.x module.

## python-keystonemiddleware 10.1.0

=== requirements.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# Requirements lower bounds listed here are our best effort to keep them up to
+# date but we do not test them so no guarantee of having them all correct. If
+# you find any incorrect lower bounds, let us know or propose a fix.
+
 # The order of packages is significant, because pip processes them in the order
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.

=== doc/requirements.txt ===
--- 
+++ 
@@ -13,7 +13,6 @@
 sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD
 
 # For autodoc builds
-mock>=2.0.0 # BSD
 oslotest>=3.2.0 # Apache-2.0
 requests-mock>=1.2.0 # Apache-2.0
 testresources>=2.0.0 # Apache-2.0/BSD

=== debian/changelog ===
python-keystonemiddleware (10.1.0-4) unstable; urgency=medium

  * Add CVE-2022-2447_Remove_cache_invalidation_when_using_expired_token.patch
    (Closes: #1021272).

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Oct 2022 21:21:10 +0200

python-keystonemiddleware (10.1.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 09:27:35 +0200

python-keystonemiddleware (10.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 22 Sep 2022 16:59:20 +0200

python-keystonemiddleware (10.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 31 Aug 2022 09:15:06 +0200

python-keystonemiddleware (10.0.1-1) experimental; urgency=medium

  [ Mohammed Bilal ]
  * Added autopkgtests

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Aug 2022 08:42:53 +0200

python-keystonemiddleware (9.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Mar 2022 13:14:32 +0100

python-keystonemiddleware (9.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Feb 2022 17:08:22 +0100

python-keystonemiddleware (9.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 10:32:38 +0200

python-keystonemiddleware (9.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed switch-to-eventlet-oslo-cache-memcacheclientpool.patch applied
    upstream.

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Aug 2021 11:00:31 +0200

python-keystonemiddleware (9.2.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 08:47:56 +0200

python-keystonemiddleware (9.2.0-2) experimental; urgency=medium

  * d/copyright: Add me to copyright file
  * d/control: Add me to uploaders field
  * d/patches: Add switch-to-eventlet-oslo-cache-memcacheclientpool.patch

 -- Michal Arbet <michal.arbet@ultimum.io>  Sat, 26 Jun 2021 13:43:00 +0200

python-keystonemiddleware (9.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions when satisfied in Bullseye.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Mar 2021 10:16:49 +0100

=== debian/control ===
Source: python-keystonemiddleware
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 bandit,
 python3-bandit,
 python3-coverage,
 python3-cryptography,
 python3-docutils,
 python3-fixtures,
 python3-hacking,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-memcache,
 python3-openstackdocstheme,
 python3-oslo.cache,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslotest,
 python3-pycadf,
 python3-requests,
 python3-requests-mock,
 python3-six,
 python3-sphinxcontrib.apidoc,
 python3-sphinxcontrib.svg2pdfconverter,
 python3-stestr,
 python3-stevedore,
 python3-testresources,
 python3-testtools,
 python3-webob,
 python3-webtest,
 subunit,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-keystonemiddleware
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-keystonemiddleware.git
Homepage: https://launchpad.net/keystonemiddleware

Package: python-keystonemiddleware-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Middleware for OpenStack Identity (Keystone) - doc
 This package contains middleware modules designed to provide authentication
 and authorization features to web services other than Keystone. The most
 prominent module is keystonemiddleware.auth_token. This package does not
 expose any CLI or Python API features.
 .
 This package contains the documentation.

Package: python3-keystonemiddleware
Architecture: all
Depends:
 python3-keystoneauth1 (>= 3.12.0),
 python3-keystoneclient (>= 1:3.20.0),
 python3-oslo.cache,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-pbr,
 python3-pycadf,
 python3-requests,
 python3-six,
 python3-webob,
 ${misc:Depends},
 ${python3:Depends},
Description: Middleware for OpenStack Identity (Keystone) - Python 3.x
 This package contains middleware modules designed to provide authentication
 and authorization features to web services other than Keystone. The most
 prominent module is keystonemiddleware.auth_token. This package does not
 expose any CLI or Python API features.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/keystonemiddleware.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build .stestr
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'keystonemiddleware.tests\.unit\.(?!(.*OptsTestCase.test_entry_point.*|.*test_opts.OptsTestCase.test_list_auth_token_opts.*|.*test_opts.OptsTestCase.test_original_list_all_options.*|.*auth_token.test_auth_token_middleware.v3AuthTokenMiddlewareTest.test_auth_plugin.*|.*auth_token.test_auth_token_middleware.AuthProtocolLoadingTests.test_loading_password_plugin.*|.*auth_token.test_auth_token_middleware.AuthProtocolLoadingTests.test_plugin_loading_mixed_opts.*|.*auth_token.test_auth_token_middleware.AuthProtocolLoadingTests.test_plugin_loading_with_auth_section.*|.*auth_token.test_auth_token_middleware.v2AuthTokenMiddlewareTest.test_auth_plugin.*))'
endif

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-keystonemiddleware-doc/usr/share/doc/python-keystonemiddleware-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/keystonemiddleware/tags .*/(\d[\d\.]+)\.tar\.gz

## python-keystonemiddleware 10.2.0

=== debian/changelog ===
python-keystonemiddleware (10.2.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1046350).

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Aug 2023 00:02:38 +0200

python-keystonemiddleware (10.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 10:43:57 +0200

python-keystonemiddleware (10.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed applied upstream patch:
    CVE-2022-2447_Remove_cache_invalidation_when_using_expired_token.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Feb 2023 13:32:42 +0100

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build .stestr
+	rm -rf build .stestr *.egg-info doc/source/api doc/source/_static
 	find . -iname '*.pyc' -delete
 	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

## python-keystonemiddleware 10.3.0

=== debian/changelog ===
python-keystonemiddleware (10.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Blacklist tests expecting keystone on port 5000.
  * Fixed depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Aug 2023 16:26:46 +0200

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
  python3-docutils,
  python3-fixtures,
  python3-hacking,
- python3-keystoneauth1,
+ python3-keystoneauth1 (>= 5.2.1),
  python3-keystoneclient,
  python3-memcache,
  python3-openstackdocstheme,
@@ -70,8 +70,8 @@
 Package: python3-keystonemiddleware
 Architecture: all
 Depends:
- python3-keystoneauth1 (>= 3.12.0),
- python3-keystoneclient (>= 1:3.20.0),
+ python3-keystoneauth1 (>= 5.2.1),
+ python3-keystoneclient,
  python3-oslo.cache,
  python3-oslo.config,
  python3-oslo.context,

## python-keystonemiddleware 10.4.1

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

keystoneauth1>=3.12.0 # Apache-2.0
oslo.cache>=1.26.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
pbr!=2.1.0,>=2.0.0 # Apache-2.0
pycadf!=2.0.0,>=1.1.0 # Apache-2.0
python-keystoneclient>=3.20.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0
WebOb>=1.7.1 # MIT

=== doc/requirements.txt ===
--- 
+++ 
@@ -19,3 +19,7 @@
 python-memcached>=1.56 # PSF
 WebTest>=2.0.27 # MIT
 oslo.messaging>=5.29.0 # Apache-2.0
+pycadf!=2.0.0,>=1.1.0 # Apache-2.0
+keystoneauth1>=3.12.0 # Apache-2.0
+oslo.cache>=1.26.0 # Apache-2.0
+python-keystoneclient>=3.20.0 # Apache-2.0

=== debian/changelog ===
python-keystonemiddleware (10.4.1-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-six from (b-)depends.

 -- Thomas Goirand <zigo@debian.org>  Thu, 31 Aug 2023 10:37:54 +0200

=== debian/control ===
--- 
+++ 
@@ -38,7 +38,6 @@
  python3-pycadf,
  python3-requests,
  python3-requests-mock,
- python3-six,
  python3-sphinxcontrib.apidoc,
  python3-sphinxcontrib.svg2pdfconverter,
  python3-stestr,
@@ -82,7 +81,6 @@
  python3-pbr,
  python3-pycadf,
  python3-requests,
- python3-six,
  python3-webob,
  ${misc:Depends},
  ${python3:Depends},

## python-keystonemiddleware 10.5.0

=== debian/changelog ===
python-keystonemiddleware (10.5.0-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream release for OpenStack Caracal.
  * d/control: Add python3-jwt to BD's.
  * d/p/py312-datetime-deprecation.patch: Fix datetime.utcnow
    deprecation warnings.

 -- James Page <james.page@ubuntu.com>  Thu, 18 Jan 2024 17:09:16 +0000

python-keystonemiddleware (10.4.1-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.
  * d/p/skip-py3-failures.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 05 Sep 2023 15:24:09 -0400

python-keystonemiddleware (10.3.0-0ubuntu2) mantic; urgency=medium

  * d/p/skip-py3-failures.patch: Renamed and udpated as these tests
    fail for py310+.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Jun 2023 10:50:22 -0400

python-keystonemiddleware (10.3.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/skip-py3114-failures.patch: Skip until fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Jun 2023 16:57:30 -0400

python-keystonemiddleware (10.2.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 12 Jan 2023 15:25:24 -0500

python-keystonemiddleware (10.1.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 13 Sep 2022 11:23:58 -0400

python-keystonemiddleware (10.0.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Sep 2022 18:09:19 -0400

python-keystonemiddleware (9.5.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Switch to debhelper compat 13.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 31 May 2022 14:27:20 -0400

## python-keystonemiddleware 10.6.0

=== requirements.txt ===
--- 
+++ 
@@ -12,6 +12,7 @@
 oslo.utils>=3.33.0 # Apache-2.0
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 pycadf!=2.0.0,>=1.1.0 # Apache-2.0
+PyJWT>=2.4.0 # MIT
 python-keystoneclient>=3.20.0 # Apache-2.0
 requests>=2.14.2 # Apache-2.0
 WebOb>=1.7.1 # MIT

=== doc/requirements.txt ===
--- 
+++ 
@@ -20,6 +20,7 @@
 WebTest>=2.0.27 # MIT
 oslo.messaging>=5.29.0 # Apache-2.0
 pycadf!=2.0.0,>=1.1.0 # Apache-2.0
+PyJWT>=2.4.0 # MIT
 keystoneauth1>=3.12.0 # Apache-2.0
 oslo.cache>=1.26.0 # Apache-2.0
 python-keystoneclient>=3.20.0 # Apache-2.0

=== debian/changelog ===
python-keystonemiddleware (10.6.0-3~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * CVE-2026-22797: privilege escalation via spoofed identity headers. Applied
    upstream patch: keystonemiddleware-bug-2129018-unmaintained-2024.1.patch
    (Closes: #1125680).

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-caracal.infomaniak.ch>  Thu, 15 Jan 2026 21:38:52 +0000

python-keystonemiddleware (10.6.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Apr 2024 16:17:46 +0200

python-keystonemiddleware (10.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Add python3-jwt as (b-)depends.
  * Drop do-not-use-utcnow.patch.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Feb 2024 17:27:01 +0100

python-keystonemiddleware (10.4.1-3) unstable; urgency=medium

  * Add do-not-use-utcnow.patch (Closes: #1058254).

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Dec 2023 08:29:07 +0100

python-keystonemiddleware (10.4.1-2) unstable; urgency=medium

  * Uploading to unstable.
  * d/watch: use version 4 and gitmode.

 -- Thomas Goirand <zigo@debian.org>  Mon, 02 Oct 2023 09:07:44 +0200

=== debian/control ===
--- 
+++ 
@@ -22,6 +22,7 @@
  python3-docutils,
  python3-fixtures,
  python3-hacking,
+ python3-jwt,
  python3-keystoneauth1 (>= 5.2.1),
  python3-keystoneclient,
  python3-memcache,
@@ -69,6 +70,7 @@
 Package: python3-keystonemiddleware
 Architecture: all
 Depends:
+ python3-jwt,
  python3-keystoneauth1 (>= 5.2.1),
  python3-keystoneclient,
  python3-oslo.cache,

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 override_dh_auto_install:
 	pkgos-dh_auto_install --no-py2 --in-tmp
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2 'keystonemiddleware.tests\.unit\.(?!(.*OptsTestCase.test_entry_point.*|.*test_opts.OptsTestCase.test_list_auth_token_opts.*|.*test_opts.OptsTestCase.test_original_list_all_options.*|.*auth_token.test_auth_token_middleware.v3AuthTokenMiddlewareTest.test_auth_plugin.*|.*auth_token.test_auth_token_middleware.AuthProtocolLoadingTests.test_loading_password_plugin.*|.*auth_token.test_auth_token_middleware.AuthProtocolLoadingTests.test_plugin_loading_mixed_opts.*|.*auth_token.test_auth_token_middleware.AuthProtocolLoadingTests.test_plugin_loading_with_auth_section.*|.*auth_token.test_auth_token_middleware.v2AuthTokenMiddlewareTest.test_auth_plugin.*))'
+	pkgos-dh_auto_test --no-py2 'keystonemiddleware.tests\.unit\.(?!(.*OptsTestCase.test_entry_point.*|.*test_opts.OptsTestCase.test_list_auth_token_opts.*|.*test_opts.OptsTestCase.test_original_list_all_options.*|.*auth_token.test_auth_token_middleware.v3AuthTokenMiddlewareTest.test_auth_plugin.*|.*auth_token.test_auth_token_middleware.AuthProtocolLoadingTests.test_loading_password_plugin.*|.*auth_token.test_auth_token_middleware.AuthProtocolLoadingTests.test_plugin_loading_mixed_opts.*|.*auth_token.test_auth_token_middleware.AuthProtocolLoadingTests.test_plugin_loading_with_auth_section.*|.*auth_token.test_auth_token_middleware.v2AuthTokenMiddlewareTest.test_auth_plugin.*|.*test_ec2_token_middleware\.EC2TokenMiddlewareTestGood\.test_protocol_old_versions.*|.*test_ec2_token_middleware\.EC2TokenMiddlewareTestGood\.test_protocol_v4.*|.*test_ec2_token_middleware\.EC2TokenMiddlewareTestBad\.test_communication_failure.*|.*test_ec2_token_middleware\.EC2TokenMiddlewareTestBad\.test_no_result_data.*))'
 endif
 
 override_dh_auto_test:

## python-keystonemiddleware 10.7.1

=== doc/requirements.txt ===
# For generating sphinx documentation
doc8>=0.6.0 # Apache-2.0
openstackdocstheme>=2.2.1 # Apache-2.0
reno>=3.1.0 # Apache-2.0
sphinx>=2.0.0 # BSD
sphinxcontrib-apidoc>=0.2.0  # BSD

# PDF Docs
sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD

# For autodoc builds
oslotest>=3.2.0 # Apache-2.0
requests-mock>=1.2.0 # Apache-2.0
testresources>=2.0.0 # Apache-2.0/BSD
python-memcached>=1.56 # PSF
WebTest>=2.0.27 # MIT
oslo.messaging>=5.29.0 # Apache-2.0
pycadf>=1.1.0 # Apache-2.0
PyJWT>=2.4.0 # MIT
keystoneauth1>=3.12.0 # Apache-2.0
oslo.cache>=1.26.0 # Apache-2.0
python-keystoneclient>=3.20.0 # Apache-2.0

=== debian/changelog ===
python-keystonemiddleware (10.7.1-4~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * CVE-2026-22797: privilege escalation via spoofed identity headers. Applied
    upstream patch: Fix privilege escalation via spoofed identity headers
    (Closes: #1125680).

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-dalmatian.debian.net>  Thu, 15 Jan 2026 21:31:44 +0000

python-keystonemiddleware (10.7.1-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090523).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 10:20:40 +0100

python-keystonemiddleware (10.7.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Sep 2024 17:06:07 +0200

python-keystonemiddleware (10.7.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 02 Sep 2024 12:07:48 +0200

python-keystonemiddleware (10.7.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Aug 2024 11:05:11 +0200

## python-keystonemiddleware 10.8.0

=== debian/changelog ===
python-keystonemiddleware (10.8.0-0ubuntu1) plucky; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream release for OpenStack Epoxy.
  * d/control: Drop depends on six, bandit, reno, mock and flake8-
    docstrings as these are not required.
  * d/p/skip-py3-failures.patch: Drop, Python3 is here.
  * d/rules: Enable full test suite execution.

 -- James Page <james.page@ubuntu.com>  Wed, 15 Jan 2025 14:56:50 +0000

python-keystonemiddleware (10.7.1-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Wed, 25 Sep 2024 09:55:32 +0100

python-keystonemiddleware (10.7.0-0ubuntu1) oracular; urgency=medium

  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Wed, 07 Aug 2024 08:26:54 +0100

python-keystonemiddleware (10.6.0-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal. 
  * d/p/py312-datetime-deprecation.patch: Drop, accepted upstream.

 -- James Page <james.page@canonical.com>  Fri, 08 Mar 2024 14:30:02 +0000

python-keystonemiddleware (10.5.0-0ubuntu2) noble; urgency=medium

  * d/p/py312-datetime-deprecation.patch: Refresh with patch accepted
    upstream, improving compatibility with older Pythons.

 -- James Page <james.page@ubuntu.com>  Wed, 31 Jan 2024 12:07:50 +0000

## python-keystonemiddleware 10.9.0

=== requirements.txt ===
--- 
+++ 
@@ -8,10 +8,10 @@
 oslo.context>=2.19.2 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0
-oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
+oslo.serialization>=2.18.0 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
-pbr!=2.1.0,>=2.0.0 # Apache-2.0
-pycadf!=2.0.0,>=1.1.0 # Apache-2.0
+pbr>=2.0.0 # Apache-2.0
+pycadf>=1.1.0 # Apache-2.0
 PyJWT>=2.4.0 # MIT
 python-keystoneclient>=3.20.0 # Apache-2.0
 requests>=2.14.2 # Apache-2.0

=== doc/requirements.txt ===
--- 
+++ 
@@ -12,6 +12,7 @@
 oslotest>=3.2.0 # Apache-2.0
 requests-mock>=1.2.0 # Apache-2.0
 testresources>=2.0.0 # Apache-2.0/BSD
+python-binary-memcached>=0.29.0 # MIT
 python-memcached>=1.56 # PSF
 WebTest>=2.0.27 # MIT
 oslo.messaging>=5.29.0 # Apache-2.0

=== debian/changelog ===
python-keystonemiddleware (10.9.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 08:41:10 +0100

python-keystonemiddleware (10.9.0-1) experimental; urgency=medium

  * New upstream release.
  * Add python3-binary-memcached as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 26 Feb 2025 13:16:57 +0100

=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
 Build-Depends-Indep:
  bandit,
  python3-bandit,
+ python3-binary-memcached,
  python3-coverage,
  python3-cryptography,
  python3-docutils,

## python-keystonemiddleware 10.11.0

=== debian/changelog ===
python-keystonemiddleware (10.11.0-0ubuntu1) questing; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/s/options: Ignore .launchpad.yaml in debdiff.
  * Flamingo feature freeze exception. (LP: #2121258)

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Tue, 08 Jul 2025 11:57:01 +0200

python-keystonemiddleware (10.9.0-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- James Page <james.page@ubuntu.com>  Thu, 27 Feb 2025 12:46:00 +0000

## python-keystonemiddleware 10.12.0

=== requirements.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # you find any incorrect lower bounds, let us know or propose a fix.
 
 keystoneauth1>=3.12.0 # Apache-2.0
-oslo.cache>=1.26.0 # Apache-2.0
+oslo.cache>=3.11.0 # Apache-2.0
 oslo.config>=5.2.0 # Apache-2.0
 oslo.context>=2.19.2 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0

=== doc/requirements.txt ===
--- 
+++ 
@@ -19,5 +19,5 @@
 pycadf>=1.1.0 # Apache-2.0
 PyJWT>=2.4.0 # MIT
 keystoneauth1>=3.12.0 # Apache-2.0
-oslo.cache>=1.26.0 # Apache-2.0
+oslo.cache>=3.11.0 # Apache-2.0
 python-keystoneclient>=3.20.0 # Apache-2.0

=== debian/changelog ===
python-keystonemiddleware (10.12.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 18:20:57 +0200

python-keystonemiddleware (10.12.0-1) experimental; urgency=medium

  * New upstream release.
  * Add python3-oslo.cache version depends.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Aug 2025 12:21:19 +0200

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
  python3-keystoneclient,
  python3-memcache,
  python3-openstackdocstheme,
- python3-oslo.cache,
+ python3-oslo.cache (>= 3.11.0),
  python3-oslo.config,
  python3-oslo.context,
  python3-oslo.i18n,
@@ -74,7 +74,7 @@
  python3-jwt,
  python3-keystoneauth1 (>= 5.2.1),
  python3-keystoneclient,
- python3-oslo.cache,
+ python3-oslo.cache (>= 3.11.0),
  python3-oslo.config,
  python3-oslo.context,
  python3-oslo.i18n,

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/keystonemiddleware refs/tags/(\d[brc\d\.]+)

## python-keystonemiddleware 11.0.0

=== debian/changelog ===
python-keystonemiddleware (11.0.0-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * d/watch: update for new upstream
  * d/u/signing-key.asc: update for gazpacho
  * New upstream version 11.0.0
  * d/patches/*: refresh patches
  * New upstream release for OpenStack Gazpacho. (LP: #2138121)

 -- Myles Penner <myles.penner@canonical.com>  Wed, 21 Jan 2026 11:14:54 -0800

python-keystonemiddleware (10.12.0-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125012).
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.
  * d/p/drop-sphinxcontrib.rsvgconverter.patch: Refresh.
  * d/p/no-intersphinx.patch: Refresh.

 -- Myles Penner <myles.penner@canonical.com>  Fri, 19 Sep 2025 08:12:50 -0700

=== debian/watch ===
version=4
opts=uversionmangle=s/\.(b|rc)/~$1/,pgpsigurlmangle=s/$/.asc/ \
    http://tarballs.openstack.org/keystonemiddleware/ keystonemiddleware-(\d.*)\.tar\.gz

## python-keystonemiddleware 12.0.0

=== debian/changelog ===
python-keystonemiddleware (12.0.0-1~bpo13+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-gazpacho.debian.net>  Tue, 24 Feb 2026 13:27:42 +0000

python-keystonemiddleware (12.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed CVE-2026-22797/OSSA-2026-001 patch, applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Feb 2026 14:13:32 +0100

python-keystonemiddleware (10.12.0-4) unstable; urgency=medium

  * Cleans better (Closes: #1046350).

 -- Thomas Goirand <zigo@debian.org>  Mon, 09 Feb 2026 18:42:31 +0100

python-keystonemiddleware (10.12.0-3) unstable; urgency=high

  * CVE-2026-22797: privilege escalation via spoofed identity headers. Applied
    upstream patch: Fix privilege escalation via spoofed identity headers
    (Closes: #1125680).

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Jan 2026 08:51:19 +0100
